package com.cmvr.aima.service;

import java.util.List;
import com.cmvr.aima.domain.AimaAlarm;

/**
 * 爱玛告警管理Service接口
 * 
 * @author cmvr-iot
 * @since 2026-06-22
 */
public interface IAimaAlarmService {
    AimaAlarm selectAimaAlarmById(String id);
    List<AimaAlarm> selectAimaAlarmList(AimaAlarm aimaAlarm);
    int insertAimaAlarm(AimaAlarm aimaAlarm);
    int updateAimaAlarm(AimaAlarm aimaAlarm);
    int deleteAimaAlarmByIds(String[] ids);
    int deleteAimaAlarmById(String id);
}
